Skip to main content
GET
/
customers
/
{id}
Get customer by id
curl --request GET \
  --url http://api.obsidiam.com/customers/{id}
{
  "id": "<string>",
  "name": "<string>",
  "email": "<string>",
  "document": "<string>",
  "addressStreet": "<string>",
  "addressNumber": "<string>",
  "addressNeighborhood": "<string>",
  "addressCity": "<string>",
  "addressState": "<string>",
  "addressPostalCode": "<string>",
  "addressCountryCode": "<string>",
  "isBeneficiary": true,
  "type": "COMPANY",
  "createdAt": "2023-11-07T05:31:56Z"
}

Path Parameters

id
string
required

Response

default - application/json
id
string
required
name
string
required
email
string | null
required
document
string
required
addressStreet
string | null
required
addressNumber
string | null
required
addressNeighborhood
string | null
required
addressCity
string | null
required
addressState
string | null
required
addressPostalCode
string | null
required
addressCountryCode
string | null
required
isBeneficiary
boolean
required
type
enum<string>
required
Available options:
COMPANY,
INDIVIDUAL
createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$